{
  "schema_version": "1.4.0",
  "id": "GHSA-cqfv-6frg-v5c7",
  "modified": "2022-05-01T17:52:57Z",
  "published": "2022-05-01T17:52:57Z",
  "aliases": [
    "CVE-2007-1375"
  ],
  "details": "Integer overflow in the substr_compare function in PHP 5.2.1 and earlier allows context-dependent attackers to read sensitive memory via a large value in the length argument, a different vulnerability than CVE-2006-1991.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1375"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/3424"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24606"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25056"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25057"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25062"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26895"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200703-21.xml"
    },
    {
      "type": "WEB",
      "url": "http://us2.php.net/releases/5_2_2.php"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1283"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:187"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_32_php.html"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/32780"
    },
    {
      "type": "WEB",
      "url": "http://www.php-security.org/MOPB/MOPB-14-2007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/22851"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-455-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-03-10T00:19:00Z"
  }
}